/*
 * libmm-player
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __MM_PLAYER_360_H__
#define __MM_PLAYER_360_H__

/*=======================================================================================
| INCLUDE FILES                                                                         |
========================================================================================*/
#include <mm_types.h>

#ifdef __cplusplus
extern "C"
{
#endif

/*=======================================================================================
| GLOBAL FUNCTION PROTOTYPES                                                            |
========================================================================================*/

int _mmplayer_360_is_content_spherical(MMHandleType player, bool *is_spherical);
int _mmplayer_360_set_enabled(MMHandleType player, bool enabled);
int _mmplayer_360_is_enabled(MMHandleType player, bool *enabled);
int _mmplayer_360_set_direction_of_view(MMHandleType player, float yaw, float pitch);
int _mmplayer_360_get_direction_of_view(MMHandleType player, float *yaw, float *pitch);
int _mmplayer_360_set_zoom(MMHandleType player, float level);
int _mmplayer_360_get_zoom(MMHandleType player, float *level);
int _mmplayer_360_set_field_of_view(MMHandleType player, int horizontal_degrees, int vertical_degrees);
int _mmplayer_360_get_field_of_view(MMHandleType player, int *horizontal_degrees, int *vertical_degrees);

#ifdef __cplusplus
}
#endif

#endif /* __MM_PLAYER_360_H__ */
