/*
 * libmm-player
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: JongHyuk Choi <jhchoi.choi@samsung.com>, YeJin Cho <cho.yejin@samsung.com>,
 * YoungHwan An <younghwan_.an@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __MM_PLAYER_TRACKS_H__
#define	__MM_PLAYER_TRACKS_H__

#include "mm_player_priv.h"

#ifdef __cplusplus
	extern "C" {
#endif

#define DEFAULT_TRACK 0

void _mmplayer_track_initialize(mmplayer_t *player);

void _mmplayer_track_destroy(mmplayer_t *player);

void _mmplayer_track_update_selector_info(mmplayer_t *player, mmplayer_track_type_e type, GstPad *sinkpad);

void _mmplayer_track_update_text_attr_info(mmplayer_t *player, GstMessage *msg);

int _mmplayer_get_track_count(MMHandleType hplayer,  mmplayer_track_type_e type, int *count);

int _mmplayer_select_track(MMHandleType hplayer, mmplayer_track_type_e type, int index);

int _mmplayer_get_track_language_code(MMHandleType hplayer, mmplayer_track_type_e type, int index, char **code);

int _mmplayer_get_current_track(MMHandleType hplayer, mmplayer_track_type_e type, int *index);
#ifdef __cplusplus
	}
#endif

#endif /* __MM_PLAYER_TRACKS_H__ */
