/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "mm_player.h"
#include "mm_error.h"
#include "gtest_mm_player.h"

MMPlayer::MMPlayer()
{
	mm_handle = NULL;
}

MMPlayer::~MMPlayer()
{
	if (mm_handle) {
		LOGD("[Cleanup] %p", mm_handle);
		mm_player_destroy(mm_handle);
		mm_handle = NULL;
	}
}

int MMPlayer::Create(void)
{
	int ret = mm_player_create(&mm_handle);
	LOGD("[Create] %p", mm_handle);
	return ret;
}

int MMPlayer::Destroy(void)
{
	int ret = MM_ERROR_NONE;

	LOGD("[Destroy] %p", mm_handle);

	ret = mm_player_destroy(mm_handle);
	mm_handle = NULL;

	return ret;
}
