/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __GTEST_MM_PLAYER_PRIV_H__
#define __GTEST_MM_PLAYER_PRIV_H__

#include <dlog.h>
#include "mm_player.h"
#include "mm_player_priv.h"

#undef LOG_TAG
#define LOG_TAG		"GTEST_MM_PLAYER"

class MMPlayerPriv {
private:
	mmplayer_t *priv_player;

public:
	MMPlayerPriv();
	virtual ~MMPlayerPriv();

	int Create(void);
	int Destroy(void);
	int SetUri(const gchar *uri);
	int Realize(void);
	int Unrealize(void);
	int GetCurrentState(mmplayer_state_e *state);
	int ParseProfile(const gchar *uri, int *uri_type);
};

#endif	/*__GTEST_MM_PLAYER_PRIV_H__*/
